Heartbeat overview for manageable agents
curl --request GET \
--url https://atollhq.com/api/orgs/{id}/heartbeats/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://atollhq.com/api/orgs/{id}/heartbeats/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://atollhq.com/api/orgs/{id}/heartbeats/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/heartbeats/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/heartbeats/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://atollhq.com/api/orgs/{id}/heartbeats/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/heartbeats/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"generated_at": "2023-11-07T05:31:56Z",
"default_policy": {
"source": "organization",
"sections": "<unknown>",
"signal_categories": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
},
"can_edit_default": true,
"totals": {
"agents": 123,
"receiving": 123,
"idle": 123,
"never_woken": 123,
"no_projects": 123,
"customized": 123,
"using_default": 123,
"needs_attention": 123,
"delivered_24h": 123,
"delivered_prev_24h": 123,
"items_surfaced_24h": 123,
"acknowledgeable_24h": 123,
"acknowledged_24h": 123
},
"duplicate_names": [
{
"name": "<string>",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"agents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"has_project_access": true,
"heartbeat_status": "receiving",
"heartbeat_activity": {
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"delivered_24h": 123,
"items_surfaced_24h": 123,
"acknowledgeable_24h": 123,
"acknowledged_24h": 123,
"surfaced_7d": [
123
],
"surfaced_7d_total": 123
},
"heartbeat_policy_summary": {
"status": "default",
"focus_summary": [
"<string>"
]
},
"disambiguator": "<string>",
"avatar_url": "<string>",
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"personal_owner_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accessible_projects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"key_prefix": "<string>",
"activity_last_used_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Agents
Heartbeat overview for manageable agents
Human sessions only. Returns heartbeat status, delivery telemetry, duplicate display names, totals, and the organization default for the caller’s manageable agents. Telemetry counts one delivery per agent wake (not per page cursor) in hourly UTC buckets retained for 90 days.
GET
/
api
/
orgs
/
{id}
/
heartbeats
/
overview
Heartbeat overview for manageable agents
curl --request GET \
--url https://atollhq.com/api/orgs/{id}/heartbeats/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://atollhq.com/api/orgs/{id}/heartbeats/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://atollhq.com/api/orgs/{id}/heartbeats/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/heartbeats/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/heartbeats/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://atollhq.com/api/orgs/{id}/heartbeats/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/heartbeats/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"generated_at": "2023-11-07T05:31:56Z",
"default_policy": {
"source": "organization",
"sections": "<unknown>",
"signal_categories": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
},
"can_edit_default": true,
"totals": {
"agents": 123,
"receiving": 123,
"idle": 123,
"never_woken": 123,
"no_projects": 123,
"customized": 123,
"using_default": 123,
"needs_attention": 123,
"delivered_24h": 123,
"delivered_prev_24h": 123,
"items_surfaced_24h": 123,
"acknowledgeable_24h": 123,
"acknowledged_24h": 123
},
"duplicate_names": [
{
"name": "<string>",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"agents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"has_project_access": true,
"heartbeat_status": "receiving",
"heartbeat_activity": {
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"delivered_24h": 123,
"items_surfaced_24h": 123,
"acknowledgeable_24h": 123,
"acknowledged_24h": 123,
"surfaced_7d": [
123
],
"surfaced_7d_total": 123
},
"heartbeat_policy_summary": {
"status": "default",
"focus_summary": [
"<string>"
]
},
"disambiguator": "<string>",
"avatar_url": "<string>",
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"personal_owner_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accessible_projects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"key_prefix": "<string>",
"activity_last_used_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

